/**
 *  Copyright (c) 2015,
 *  BTC Embedded Systems AG, Oldenburg, Germany
 *  All rights reserved
 *  ---------------------------------------------------------
 *  $Author: $
 *  $Date:  $
 *  $Revision: $
 **/

package com.btc.ep.base.bl;

import java.util.List;


/**
 * Implementors of this longerface represent VectorElements.
 * 
 * It's a 'Step'
 */
public interface VectorElement extends ModelElement {

    /**
     * Example
     *
     * @param value - float
     */
    public void setValue(List<Float> values);
    
    /**
     * Example
     *
     * @return value - float
     */
    public List<Float> getValue();
    

    public void setStep(long step);
    public long getStep();

    public void setStepOffset(long step);
    public long getStepOffset();

    public void setVectorElementCollectionRef(long vectorElementCollectionRef);
    
}

